if exists (select * from dbo.sysobjects where id = object_id(N'[Categories]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [Categories]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[CustomerCustomerDemo]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [CustomerCustomerDemo]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[CustomerDemographics]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [CustomerDemographics]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[Customers]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [Customers]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[Employees]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [Employees]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[EmployeeTerritories]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [EmployeeTerritories]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[Order Details]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [Order Details]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[Orders]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [Orders]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[Products]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [Products]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[Region]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [Region]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[Shippers]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [Shippers]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[Suppliers]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [Suppliers]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[Territories]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [Territories]
GO
if exists (select * from dbo.sysobjects where id = object_id(N'[test]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [test]
GO


CREATE TABLE [Categories] (
	[CategoryID] int IDENTITY ( 1,1 ) NOT NULL,
	[CategoryName] nvarchar(15) NOT NULL,
	[Description] ntext NULL,
	[Picture] image NULL
)

GO


ALTER TABLE [Categories] WITH NOCHECK ADD 
	CONSTRAINT [PK_Categories] PRIMARY KEY  CLUSTERED
	(
[CategoryID]
	)  ON [PRIMARY] 
GO

CREATE TABLE [CustomerCustomerDemo] (
	[CustomerID] nchar(5) NOT NULL,
	[CustomerTypeID] nchar(10) NOT NULL
)

GO


CREATE TABLE [CustomerDemographics] (
	[CustomerTypeID] nchar(10) NOT NULL,
	[CustomerDesc] ntext NULL
)

GO


ALTER TABLE [CustomerDemographics] WITH NOCHECK ADD 
	CONSTRAINT [PK_CustomerDemographics] PRIMARY KEY  
	(
[CustomerTypeID]
	)  ON [PRIMARY] 
GO

CREATE TABLE [Customers] (
	[CustomerID] nchar(5) NOT NULL,
	[CompanyName] nvarchar(40) NOT NULL,
	[ContactName] nvarchar(30) NULL,
	[ContactTitle] nvarchar(30) NULL,
	[Address] nvarchar(60) NULL,
	[City] nvarchar(15) NULL,
	[Region] nvarchar(15) NULL,
	[PostalCode] nvarchar(10) NULL,
	[Country] nvarchar(15) NULL,
	[Phone] nvarchar(24) NULL,
	[Fax] nvarchar(24) NULL
)

GO


ALTER TABLE [Customers] WITH NOCHECK ADD 
	CONSTRAINT [PK_Customers] PRIMARY KEY  CLUSTERED
	(
[CustomerID]
	)  ON [PRIMARY] 
GO

CREATE TABLE [Employees] (
	[EmployeeID] int IDENTITY ( 1,1 ) NOT NULL,
	[LastName] nvarchar(20) NOT NULL,
	[FirstName] nvarchar(10) NOT NULL,
	[Title] nvarchar(30) NULL,
	[TitleOfCourtesy] nvarchar(25) NULL,
	[BirthDate] datetime NULL,
	[HireDate] datetime NULL,
	[Address] nvarchar(60) NULL,
	[City] nvarchar(15) NULL,
	[Region] nvarchar(15) NULL,
	[PostalCode] nvarchar(10) NULL,
	[Country] nvarchar(15) NULL,
	[HomePhone] nvarchar(24) NULL,
	[Extension] nvarchar(4) NULL,
	[Photo] image NULL,
	[Notes] ntext NULL,
	[ReportsTo] int NULL,
	[PhotoPath] nvarchar(255) NULL
)

GO


ALTER TABLE [Employees] WITH NOCHECK ADD 
	CONSTRAINT [PK_Employees] PRIMARY KEY  CLUSTERED
	(
[EmployeeID]
	)  ON [PRIMARY] 
GO

CREATE TABLE [EmployeeTerritories] (
	[EmployeeID] int NOT NULL,
	[TerritoryID] nvarchar(20) NOT NULL
)

GO


CREATE TABLE [Order Details] (
	[OrderID] int NOT NULL,
	[ProductID] int NOT NULL,
	[UnitPrice] money DEFAULT (0) NOT NULL,
	[Quantity] smallint DEFAULT (1) NOT NULL,
	[Discount] real DEFAULT (0) NOT NULL
)

GO


CREATE TABLE [Orders] (
	[OrderID] int IDENTITY ( 1,1 ) NOT NULL,
	[CustomerID] nchar(5) NULL,
	[EmployeeID] int NULL,
	[OrderDate] datetime NULL,
	[RequiredDate] datetime NULL,
	[ShippedDate] datetime NULL,
	[ShipVia] int NULL,
	[Freight] money DEFAULT (0) NULL,
	[ShipName] nvarchar(40) NULL,
	[ShipAddress] nvarchar(60) NULL,
	[ShipCity] nvarchar(15) NULL,
	[ShipRegion] nvarchar(15) NULL,
	[ShipPostalCode] nvarchar(10) NULL,
	[ShipCountry] nvarchar(15) NULL
)

GO


ALTER TABLE [Orders] WITH NOCHECK ADD 
	CONSTRAINT [PK_Orders] PRIMARY KEY  CLUSTERED
	(
[OrderID]
	)  ON [PRIMARY] 
GO

CREATE TABLE [Products] (
	[ProductID] int IDENTITY ( 1,1 ) NOT NULL,
	[ProductName] nvarchar(40) NOT NULL,
	[SupplierID] int NULL,
	[CategoryID] int NULL,
	[QuantityPerUnit] nvarchar(20) NULL,
	[UnitPrice] money DEFAULT (0) NULL,
	[UnitsInStock] smallint DEFAULT (0) NULL,
	[UnitsOnOrder] smallint DEFAULT (0) NULL,
	[ReorderLevel] smallint DEFAULT (0) NULL,
	[Discontinued] bit DEFAULT (0) NOT NULL
)

GO


ALTER TABLE [Products] WITH NOCHECK ADD 
	CONSTRAINT [PK_Products] PRIMARY KEY  CLUSTERED
	(
[ProductID]
	)  ON [PRIMARY] 
GO

CREATE TABLE [Region] (
	[RegionID] int NOT NULL,
	[RegionDescription] nchar(50) NOT NULL
)

GO


ALTER TABLE [Region] WITH NOCHECK ADD 
	CONSTRAINT [PK_Region] PRIMARY KEY  
	(
[RegionID]
	)  ON [PRIMARY] 
GO

CREATE TABLE [Shippers] (
	[ShipperID] int IDENTITY ( 1,1 ) NOT NULL,
	[CompanyName] nvarchar(40) NOT NULL,
	[Phone] nvarchar(24) NULL
)

GO


ALTER TABLE [Shippers] WITH NOCHECK ADD 
	CONSTRAINT [PK_Shippers] PRIMARY KEY  CLUSTERED
	(
[ShipperID]
	)  ON [PRIMARY] 
GO

CREATE TABLE [Suppliers] (
	[SupplierID] int IDENTITY ( 1,1 ) NOT NULL,
	[CompanyName] nvarchar(40) NOT NULL,
	[ContactName] nvarchar(30) NULL,
	[ContactTitle] nvarchar(30) NULL,
	[Address] nvarchar(60) NULL,
	[City] nvarchar(15) NULL,
	[Region] nvarchar(15) NULL,
	[PostalCode] nvarchar(10) NULL,
	[Country] nvarchar(15) NULL,
	[Phone] nvarchar(24) NULL,
	[Fax] nvarchar(24) NULL,
	[HomePage] ntext NULL
)

GO


ALTER TABLE [Suppliers] WITH NOCHECK ADD 
	CONSTRAINT [PK_Suppliers] PRIMARY KEY  CLUSTERED
	(
[SupplierID]
	)  ON [PRIMARY] 
GO

CREATE TABLE [Territories] (
	[TerritoryID] nvarchar(20) NOT NULL,
	[TerritoryDescription] nchar(50) NOT NULL,
	[RegionID] int NOT NULL
)

GO


ALTER TABLE [Territories] WITH NOCHECK ADD 
	CONSTRAINT [PK_Territories] PRIMARY KEY  
	(
[TerritoryID]
	)  ON [PRIMARY] 
GO

CREATE TABLE [test] (
	[id] int IDENTITY ( 1,1 ) NOT NULL,
	[name] varchar(50) NULL
)

GO


ALTER TABLE [CustomerCustomerDemo] ADD 
	CONSTRAINT [FK_CustomerCustomerDemo_Customers] FOREIGN KEY 
	(
		[CustomerID]
	) REFERENCES [Customers] (
		[CustomerID]
	) 
GO

ALTER TABLE [Order Details] ADD 
	CONSTRAINT [FK_Order_Details_Orders] FOREIGN KEY 
	(
		[OrderID]
	) REFERENCES [Orders] (
		[OrderID]
	) 
GO

ALTER TABLE [Orders] ADD 
	CONSTRAINT [FK_Orders_Shippers] FOREIGN KEY 
	(
		[ShipVia]
	) REFERENCES [Shippers] (
		[ShipperID]
	) 
GO

ALTER TABLE [EmployeeTerritories] ADD 
	CONSTRAINT [FK_EmployeeTerritories_Territories] FOREIGN KEY 
	(
		[TerritoryID]
	) REFERENCES [Territories] (
		[TerritoryID]
	) 
GO

ALTER TABLE [CustomerCustomerDemo] ADD 
	CONSTRAINT [FK_CustomerCustomerDemo] FOREIGN KEY 
	(
		[CustomerTypeID]
	) REFERENCES [CustomerDemographics] (
		[CustomerTypeID]
	) 
GO

ALTER TABLE [Products] ADD 
	CONSTRAINT [FK_Products_Categories] FOREIGN KEY 
	(
		[CategoryID]
	) REFERENCES [Categories] (
		[CategoryID]
	) 
GO

ALTER TABLE [Territories] ADD 
	CONSTRAINT [FK_Territories_Region] FOREIGN KEY 
	(
		[RegionID]
	) REFERENCES [Region] (
		[RegionID]
	) 
GO

ALTER TABLE [Orders] ADD 
	CONSTRAINT [FK_Orders_Employees] FOREIGN KEY 
	(
		[EmployeeID]
	) REFERENCES [Employees] (
		[EmployeeID]
	) 
GO

ALTER TABLE [EmployeeTerritories] ADD 
	CONSTRAINT [FK_EmployeeTerritories_Employees] FOREIGN KEY 
	(
		[EmployeeID]
	) REFERENCES [Employees] (
		[EmployeeID]
	) 
GO

ALTER TABLE [Employees] ADD 
	CONSTRAINT [FK_Employees_Employees] FOREIGN KEY 
	(
		[ReportsTo]
	) REFERENCES [Employees] (
		[EmployeeID]
	) 
GO

ALTER TABLE [Orders] ADD 
	CONSTRAINT [FK_Orders_Customers] FOREIGN KEY 
	(
		[CustomerID]
	) REFERENCES [Customers] (
		[CustomerID]
	) 
GO

ALTER TABLE [Order Details] ADD 
	CONSTRAINT [FK_Order_Details_Products] FOREIGN KEY 
	(
		[ProductID]
	) REFERENCES [Products] (
		[ProductID]
	) 
GO

ALTER TABLE [Products] ADD 
	CONSTRAINT [FK_Products_Suppliers] FOREIGN KEY 
	(
		[SupplierID]
	) REFERENCES [Suppliers] (
		[SupplierID]
	) 
GO


--|--------------------------------------------------------------------------------
--| [authors] - Backs up all the data from a table into a SQL script.
--|--------------------------------------------------------------------------------
BEGIN TRANSACTION

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('172-32-1176', 'White', 'Johnson', '408 496-7223', '10932 Bigge Rd.', 'Menlo Park', 'CA', '94025', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('213-46-8915', 'Green', 'Marjorie', '415 986-7020', '309 63rd St. #411', 'Oakland', 'CA', '94618', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('238-95-7766', 'Carson', 'Cheryl', '415 548-7723', '589 Darwin Ln.', 'Berkeley', 'CA', '94705', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('267-41-2394', 'O''Leary', 'Michael', '408 286-2428', '22 Cleveland Av. #14', 'San Jose', 'CA', '95128', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('274-80-9391', 'Straight', 'Dean', '415 834-2919', '5420 College Av.', 'Oakland', 'CA', '94609', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('341-22-1782', 'Smith', 'Meander', '913 843-0462', '10 Mississippi Dr.', 'Lawrence', 'KS', '66044', 0);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('409-56-7008', 'Bennet', 'Abraham', '415 658-9932', '6223 Bateman St.', 'Berkeley', 'CA', '94705', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('427-17-2319', 'Dull', 'Ann', '415 836-7128', '3410 Blonde St.', 'Palo Alto', 'CA', '94301', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('472-27-2349', 'Gringlesby', 'Burt', '707 938-6445', 'PO Box 792', 'Covelo', 'CA', '95428', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('486-29-1786', 'Locksley', 'Charlene', '415 585-4620', '18 Broadway Av.', 'San Francisco', 'CA', '94130', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('527-72-3246', 'Greene', 'Morningstar', '615 297-2723', '22 Graybar House Rd.', 'Nashville', 'TN', '37215', 0);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('648-92-1872', 'Blotchet-Halls', 'Reginald', '503 745-6402', '55 Hillsdale Bl.', 'Corvallis', 'OR', '97330', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('672-71-3249', 'Yokomoto', 'Akiko', '415 935-4228', '3 Silver Ct.', 'Walnut Creek', 'CA', '94595', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('712-45-1867', 'del Castillo', 'Innes', '615 996-8275', '2286 Cram Pl. #86', 'Ann Arbor', 'MI', '48105', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('722-51-5454', 'DeFrance', 'Michel', '219 547-9982', '3 Balding Pl.', 'Gary', 'IN', '46403', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('724-08-9931', 'Stringer', 'Dirk', '415 843-2991', '5420 Telegraph Av.', 'Oakland', 'CA', '94609', 0);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('724-80-9391', 'MacFeather', 'Stearns', '415 354-7128', '44 Upland Hts.', 'Oakland', 'CA', '94612', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('756-30-7391', 'Karsen', 'Livia', '415 534-9219', '5720 McAuley St.', 'Oakland', 'CA', '94609', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('807-91-6654', 'Panteley', 'Sylvia', '301 946-8853', '1956 Arlington Pl.', 'Rockville', 'MD', '20853', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('846-92-7186', 'Hunter', 'Sheryl', '415 836-7128', '3410 Blonde St.', 'Palo Alto', 'CA', '94301', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('893-72-1158', 'McBadden', 'Heather', '707 448-4982', '301 Putnam', 'Vacaville', 'CA', '95688', 0);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('899-46-2035', 'Ringer', 'Anne', '801 826-0752', '67 Seventh Av.', 'Salt Lake City', 'UT', '84152', 1);

	INSERT INTO [authors]
	([au_id], [au_lname], [au_fname], [phone], [address], [city], [state], [zip], [contract])
	VALUES
	('998-72-3567', 'Ringer', 'Albert', '801 826-0752', '67 Seventh Av.', 'Salt Lake City', 'UT', '84152', 1);

IF @@ERROR <> 0 ROLLBACK TRANSACTION;
ELSE COMMIT TRANSACTION;
GO
--|--------------------------------------------------------------------------------

--|--------------------------------------------------------------------------------
--| [employee] - Backs up all the data from a table into a SQL script.
--|--------------------------------------------------------------------------------
BEGIN TRANSACTION

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('PMA42628M', 'Paolo', 'M', 'Accorti', 13, 35, '0877', '08/27/1992 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('PSA89086M', 'Pedro', 'S', 'Afonso', 14, 89, '1389', '12/24/1990 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('VPA30890F', 'Victoria', 'P', 'Ashworth', 6, 140, '0877', '09/13/1990 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('H-B39728F', 'Helen', ' ', 'Bennett', 12, 35, '0877', '09/21/1989 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('L-B31947F', 'Lesley', ' ', 'Brown', 7, 120, '0877', '02/13/1991 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('F-C16315M', 'Francisco', ' ', 'Chang', 4, 227, '9952', '11/03/1990 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('PTC11962M', 'Philip', 'T', 'Cramer', 2, 215, '9952', '11/11/1989 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('A-C71970F', 'Aria', ' ', 'Cruz', 10, 87, '1389', '10/26/1991 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('AMD15433F', 'Ann', 'M', 'Devon', 3, 200, '9952', '07/16/1991 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('ARD36773F', 'Anabela', 'R', 'Domingues', 8, 100, '0877', '01/27/1993 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('PHF38899M', 'Peter', 'H', 'Franken', 10, 75, '0877', '05/17/1992 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('PXH22250M', 'Paul', 'X', 'Henriot', 5, 159, '0877', '08/19/1993 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('CFH28514M', 'Carlos', 'F', 'Hernadez', 5, 211, '9999', '04/21/1989 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('PDI47470M', 'Palle', 'D', 'Ibsen', 7, 195, '0736', '05/09/1993 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('KJJ92907F', 'Karla', 'J', 'Jablonski', 9, 170, '9999', '03/11/1994 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('KFJ64308F', 'Karin', 'F', 'Josephs', 14, 100, '0736', '10/17/1992 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('MGK44605M', 'Matti', 'G', 'Karttunen', 6, 220, '0736', '05/01/1994 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('POK93028M', 'Pirkko', 'O', 'Koskitalo', 10, 80, '9999', '11/29/1993 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('JYL26161F', 'Janine', 'Y', 'Labrune', 5, 172, '9901', '05/26/1991 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('M-L67958F', 'Maria', ' ', 'Larsson', 7, 135, '1389', '03/27/1992 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('Y-L77953M', 'Yoshi', ' ', 'Latimer', 12, 32, '1389', '06/11/1989 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('LAL21447M', 'Laurence', 'A', 'Lebihan', 5, 175, '0736', '06/03/1990 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('ENL44273F', 'Elizabeth', 'N', 'Lincoln', 14, 35, '0877', '07/24/1990 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('PCM98509F', 'Patricia', 'C', 'McKenna', 11, 150, '9999', '08/01/1989 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('R-M53550M', 'Roland', ' ', 'Mendel', 11, 150, '0736', '09/05/1991 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('RBM23061F', 'Rita', 'B', 'Muller', 5, 198, '1622', '10/09/1993 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('HAN90777M', 'Helvetius', 'A', 'Nagy', 7, 120, '9999', '03/19/1993 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('TPO55093M', 'Timothy', 'P', 'O''Rourke', 13, 100, '0736', '06/19/1988 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('SKO22412M', 'Sven', 'K', 'Ottlieb', 5, 150, '1389', '04/05/1991 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('MAP77183M', 'Miguel', 'A', 'Paolino', 11, 112, '1389', '12/07/1992 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('PSP68661F', 'Paula', 'S', 'Parente', 8, 125, '1389', '01/19/1994 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('M-P91209M', 'Manuel', ' ', 'Pereira', 8, 101, '9999', '01/09/1989 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('MJP25939M', 'Maria', 'J', 'Pontes', 5, 246, '1756', '03/01/1989 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('M-R38834F', 'Martine', ' ', 'Rance', 9, 75, '0877', '02/05/1992 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('DWR65030M', 'Diego', 'W', 'Roel', 6, 192, '1389', '12/16/1991 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('A-R89858F', 'Annette', ' ', 'Roulet', 6, 152, '9999', '02/21/1990 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('MMS49649F', 'Mary', 'M', 'Saveley', 8, 175, '0736', '06/29/1993 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('CGS88322F', 'Carine', 'G', 'Schmitt', 13, 64, '1389', '07/07/1992 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('MAS70474F', 'Margaret', 'A', 'Smith', 9, 78, '1389', '09/29/1988 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('HAS54740M', 'Howard', 'A', 'Snyder', 12, 100, '0736', '11/19/1988 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('MFS52347M', 'Martin', 'F', 'Sommer', 10, 165, '0736', '04/13/1990 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('GHT50241M', 'Gary', 'H', 'Thomas', 9, 170, '0736', '08/09/1988 00:00:00');

	INSERT INTO [employee]
	([emp_id], [fname], [minit], [lname], [job_id], [job_lvl], [pub_id], [hire_date])
	VALUES
	('DBT39435M', 'Daniel', 'B', 'Tonini', 11, 75, '0877', '01/01/1990 00:00:00');

IF @@ERROR <> 0 ROLLBACK TRANSACTION;
ELSE COMMIT TRANSACTION;
GO
--|--------------------------------------------------------------------------------

--|--------------------------------------------------------------------------------
--| [jobs] - Backs up all the data from a table into a SQL script.
--|--------------------------------------------------------------------------------
BEGIN TRANSACTION
	SET IDENTITY_INSERT [jobs] ON

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(1, 'New Hire - Job not specified', 10, 10);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(2, 'Chief Executive Officer', 200, 250);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(3, 'Business Operations Manager', 175, 225);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(4, 'Chief Financial Officier', 175, 250);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(5, 'Publisher', 150, 250);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(6, 'Managing Editor', 140, 225);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(7, 'Marketing Manager', 120, 200);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(8, 'Public Relations Manager', 100, 175);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(9, 'Acquisitions Manager', 75, 175);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(10, 'Productions Manager', 75, 165);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(11, 'Operations Manager', 75, 150);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(12, 'Editor', 25, 100);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(13, 'Sales Representative', 25, 100);

	INSERT INTO [jobs]
	([job_id], [job_desc], [min_lvl], [max_lvl])
	VALUES
	(14, 'Designer', 25, 100);
	SET IDENTITY_INSERT [jobs] OFF

IF @@ERROR <> 0 ROLLBACK TRANSACTION;
ELSE COMMIT TRANSACTION;
GO
--|--------------------------------------------------------------------------------
